# Transit-Chem

[Documentation Home](https://transit-chem.readthedocs.io)


Library for solving the time dependent schroedinger equation, 
and finding the probablilistic confidence of the time it takes for a quantum
particle to move from one place to another. Based on 
[this paper](https://www.worldscientific.com/doi/10.1142/S0219633618500463).

## Features

- Harmonic Oscillator Basis Functions
- Functional API for Solving the Time Independent/Time Dependent Schroedinger Equation
- Molecular manipulations: translation, rotation, etc
- Guaranteed 90%+ test coverage
- CLI for 1d transit time analysis
- Caching and optimizations for overlap and hamiltonian integrals
- Fully type hinted
- Logging and input validation, with helpful error messages


## License
[License](LICENSE.md)
